Skip to content

registry.hub.docker.com/library/node:alpine3.11 (alpine 3.11.12)

Trivy Image Scan

  • Image: registry.hub.docker.com/library/node:alpine3.11 (alpine 3.11.12)
  • Scan date: 2024-07-25

registry.hub.docker.com/library/node:alpine3.11 (alpine 3.11.12) (alpine)

Package Vulnerability ID Severity Installed Version Fixed Version Links
busybox CVE-2021-42378 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42379 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42380 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42381 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42382 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42383 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42384 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42385 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42386 HIGH 1.31.1-r10 1.31.1-r11
busybox CVE-2021-42374 MEDIUM 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42378 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42379 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42380 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42381 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42382 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42383 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42384 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42385 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42386 HIGH 1.31.1-r10 1.31.1-r11
ssl_client CVE-2021-42374 MEDIUM 1.31.1-r10 1.31.1-r11
zlib CVE-2022-37434 CRITICAL 1.2.11-r3 1.2.11-r4
No Misconfigurations found

Node.js (node-pkg)

Package Vulnerability ID Severity Installed Version Fixed Version Links
ansi-regex CVE-2021-3807 HIGH 3.0.0 6.0.1, 5.0.1, 4.1.1, 3.0.1
ansi-regex CVE-2021-3807 HIGH 5.0.0 6.0.1, 5.0.1, 4.1.1, 3.0.1
http-cache-semantics CVE-2022-25881 HIGH 4.1.0 4.1.1
ip CVE-2024-29415 HIGH 1.1.5 no fix available
ip CVE-2023-42282 LOW 1.1.5 2.0.1, 1.1.9
minimatch CVE-2022-3517 HIGH 3.0.4 3.0.5
npm CVE-2022-29244 HIGH 8.1.0 8.11.0
semver CVE-2022-25883 MEDIUM 7.3.5 7.5.2, 6.3.1, 5.7.2
tar CVE-2024-28863 MEDIUM 6.1.11 6.2.1
No Misconfigurations found